import { Parser, ParserContext } from '../';
import { IMessage } from '../interface';
interface FollowResponse {
    error?: string;
    following: boolean;
    following_since: string;
}
export declare const methods: {
    twitch: (parser: Parser, _request: never, channelId: string, userId: string, coreId: string, serviceId: string) => Promise<FollowResponse>;
    kick: (_parser: Parser, request: typeof fetch, channelId: string, userName: string, _coreId: string, _serviceId: string) => Promise<FollowResponse>;
    trovo: (_parser: Parser, request: typeof fetch, channelId: string, userId: string) => Promise<FollowResponse>;
};
export declare function followage(this: Parser, message: IMessage, _settings: never, { request }: ParserContext): Promise<string>;
export {};
