"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.user = user;
exports.touser = touser;
exports.userid = userid;
const helpers_1 = require("../lib/helpers");
function user(message) {
    return message.user.name;
}
function touser(message, _settings, _context, noDefault = false) {
    if (message.message.args[1] !== undefined) {
        if (message.provider === 'discord') {
            return `<@${message.user.id}>`;
        }
        return (0, helpers_1.removeTag)(message.message.args[1]);
    }
    if (message.provider === 'discord') {
        return `<@${message.user.id}>`;
    }
    if (noDefault) {
        return '';
    }
    return message.user.name;
}
function userid(message) {
    return message.user.id;
}
//# sourceMappingURL=users.js.map