import { ITokens } from './tokenizer';
import { IExpression } from './transformer';
export interface IAst {
    _context?: any;
    body: {
        name?: string;
        params?: string[];
        type?: string;
        value?: string;
        expression?: IExpression;
        start?: number;
        end?: number;
    }[];
    type: string;
}
export declare function parser(tokens: ITokens[]): IAst;
