import { Parser, ParserContext } from '../';
import { IMessage, ISetting } from '../interface';
export declare function streamer(message: IMessage): string;
export declare function stream(message: IMessage, _settings: ISetting, _context: ParserContext, channel?: string): string;
export declare function link(message: IMessage, _settings: ISetting, _context: ParserContext, channel?: string): string;
export declare function title(this: Parser, message: IMessage, settings: ISetting, context: ParserContext, channel?: string | number): Promise<any>;
export declare function game(this: Parser, message: IMessage, settings: ISetting, context: ParserContext, channel?: string | number): Promise<any>;
export declare function provider(message: IMessage): string;
export declare function previousstatus(this: Parser, message: IMessage, _settings: ISetting, _context: ParserContext, type?: string): Promise<any>;
