"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.currency = currency;
function currency(message, _settings) {
    return __awaiter(this, void 0, void 0, function* () {
        var _a, _b;
        return (_b = (_a = this.middleware) === null || _a === void 0 ? void 0 : _a.onHandleMethod) === null || _b === void 0 ? void 0 : _b.call(_a, 'getUserCurrency', message).then(res => res !== null && res !== void 0 ? res : '0').catch(() => '');
    });
}
//# sourceMappingURL=currency.js.map