"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.currencyname = currencyname;
const pluarlize = require("pluralize");
function currencyname(message, _settings, _context, amount) {
    return __awaiter(this, void 0, void 0, function* () {
        var _a, _b, _c;
        const safeAmount = isNaN(Number(amount)) ? 0 : Number(amount);
        if (((_a = this.middleware) === null || _a === void 0 ? void 0 : _a.onHandleMethod) == null) {
            return pluarlize('Point', safeAmount);
        }
        return (_c = (_b = this.middleware) === null || _b === void 0 ? void 0 : _b.onHandleMethod) === null || _c === void 0 ? void 0 : _c.call(_b, 'getCurrencyName', message).then(res => pluarlize(res !== null && res !== void 0 ? res : 'Point', safeAmount)).catch(() => pluarlize('Point', safeAmount));
    });
}
//# sourceMappingURL=currencyname.js.map