"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.evalcode = void 0;
const crypto_1 = require("crypto");
const vm2_1 = require("vm2");
function evalcode(message, _settings, _request, userCode) {
    return __awaiter(this, void 0, void 0, function* () {
        const nodeVM = new vm2_1.VM({
            eval: false,
            timeout: 10000,
            sandbox: {
                urlfetch: (uri) => {
                    return;
                },
            },
        });
        try {
            const toRun = new vm2_1.VMScript(userCode, { filename: `${message.channel.name}-${(0, crypto_1.randomUUID)()}` });
            console.log(toRun.code);
            return nodeVM.run(toRun);
        }
        catch (err) {
            console.log(err);
            return '[Error: Invalid code]';
        }
    });
}
exports.evalcode = evalcode;
//# sourceMappingURL=eval.js.map