import { Parser, ParserContext } from '../';
import { IMessage, ISetting } from '../interface';
export declare const compile: (_message: IMessage, _settings: ISetting, _context: ParserContext, ...str: string[]) => string;
export declare const query: (message: IMessage, _settings: ISetting, _ctx: ParserContext, skipIndex?: number) => string;
export declare const echo: (message: IMessage, _settings: ISetting, _ctx: ParserContext, skipIndex?: number) => string;
export declare function randomnum(_message: IMessage, _settings: ISetting, { cache }: ParserContext, min: string, max: string): string;
export declare const randint: typeof randomnum;
export declare function add(_message: IMessage, _settings: ISetting, _context: ParserContext, ...numbers: string[]): number | "[Invalid number of arguments]" | "[No valid numbers to process]";
export declare const incr: typeof add;
export declare function arg(message: IMessage, _settings: ISetting, _context: ParserContext, index: string): string;
export declare const urlencode: (_message: IMessage, _settings: ISetting, _context: ParserContext, ...str: string[]) => string;
export declare const urldecode: (_message: IMessage, _settings: ISetting, _context: ParserContext, ...str: string[]) => string;
export declare function randlist(this: Parser, _message: IMessage, _settings: ISetting, { cache }: ParserContext, ...str: string[]): Promise<string>;
export declare const listpick: typeof randlist;
export declare const rngphrase: typeof randlist;
export declare function math(_message: IMessage, _settings: ISetting, _context: ParserContext, ...str: string[]): any;
