"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.variable = variable;
function variable(message_1, _settings_1, _context_1, varName_1, type_1) {
    return __awaiter(this, arguments, void 0, function* (message, _settings, _context, varName, type, val = null) {
        var _a;
        if (((_a = this === null || this === void 0 ? void 0 : this.middleware) === null || _a === void 0 ? void 0 : _a.onVariableAPI) == null) {
            return '[Error: Variables Not Supported]';
        }
        let shouldReset = false;
        if (message.message.raw != null && message.message.raw.toLowerCase().includes('--reset')) {
            shouldReset = true;
        }
        return this.middleware.onVariableAPI(message.channel.coreId, varName, type, val, shouldReset);
    });
}
//# sourceMappingURL=variable.js.map